---
displayed_sidebar: jsClientSidebar
---

# Interface: AxiosProxyConfig

[internal](../modules/internal.md).AxiosProxyConfig

## Properties

### auth

• `Optional` **auth**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `password` | `string` |
| `username` | `string` |

#### Defined in

medusa-js/node_modules/axios/index.d.ts:29

___

### host

• **host**: `string`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:27

___

### port

• **port**: `number`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:28

___

### protocol

• `Optional` **protocol**: `string`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:33
